# $Id$
# Authority: lsn
# Upstream:

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define distro		CentOS 4

Name		: kthinkbat
Version		: 0.1.5_rc1
Release		: 1.el4.lsn

License		: GPL
Summary		: Laptop battery monitor for the KDE -Kicker.
Group		: Bash/System Uilities

URL		: https://lepetitfou.dyndns.org/wiki/bin/view/Werkstatt/KThinkBat
Vendor		: LandShark Networks
Distribution	: %distro
Packager	: %{myname} %{myemail}

BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source		: https://lepetitfou.dyndns.org/download/kthinkbat/%{name}-%{version}.tar.bz2

Buildarch	: i386

Buildrequires	: xorg-x11-devel qt-devel kdelibs-devel

BuildPrereq	: qt, kdelibs
Prereq		: qt, kdelibs
Requires	: qt >= 3.3.2, kdelibs >= 3.2.0

%description
KThinkBat is a laptop battery monitor for the KDE -Kicker. It is inspired by the "Battery Maximizer" included with IBM ThinkPads (now Levono).
Features
    * display of current battery full in percent and visual as gauge
    * display of the current online/offline state
    * display of the current power consumption in W (or A on Asus Laptops)
    * optional use of the ThinkPad SMAPI BIOS through the sysfs interface provided by the tp_smapi  driver

%prep
%setup -qn %{name}-%{version}

%build
%configure
make

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/apps/kicker/applets/kthinkbat.desktop
%{_libdir}/*.la
%{_libdir}/*.so

%doc
%{_datadir}/config.kcfg/kthinkbat.kcfg
%{_datadir}/doc/HTML/en/kthinkbat/index.docbook.test
%{_datadir}/doc/HTML/en/kthinkbat/index.cache.bz2
%{_datadir}/doc/HTML/en/kthinkbat/index.docbook
%{_datadir}/doc/HTML/en/kthinkbat/kthinkbat.css
%{_datadir}/doc/HTML/en/kthinkbat/kthinkbat.html
%{_datadir}/doc/HTML/en/kthinkbat/kthinkbat.tex
%{_datadir}/doc/HTML/en/kthinkbat/screenshot_1.png
%{_datadir}/doc/HTML/en/kthinkbat/screenshot_2.png
%{_datadir}/doc/HTML/en/kthinkbat/KThinkBat.pdf

%changelog
* Mon Jan 23 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- This release bings support for the KConfig XT system. 
It fixes a very annoying bug with local variables that prevented
all ACPI fuel states/values from showing the correct values if 
using the proc interface.

* Sat Jan 21 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Initial CentOS 4 package.
